Get Points Ledger Information in Connected OrgsAsk AIget https://{host}/v2.1/pointsLedger/getCustomerLedgerInfoQuery ParamsidentifierNamestringrequiredIdentifier type to identify the customer or group. For user groups, the following identifiers are applicable: groupId, externalId, and primaryUserId. For customers, the applicable identifiers include mobile, email, externalId, cuid, and id.identifierValuestringrequiredValue of the specified identifier type of the customer.sourcestringrequiredSource in which the identifier is available.accountIdstringFor a source with multiple accounts, pass the specific accountId in which the customer identifier is available.tillIdint32Defaults to 10Get the customer’s ledger information of a specific TILL. Pass the unique till ID.limitint32Number of results to retrieve. Max value supported is 10.offsetint32Defaults to 0Page number to show.programIdint32Retrieve the ledger details of a specific program. By default, details of all programs will be retrieved.startDatestringGet ledger information from on or after a specific date. Pass the start date in YYYY-MM-DDThh:mm:ss format. Default value is 90 daysendDatestringGet ledger information until a specific date. Pass the end date in YYYY-MM-DDThh:mm:ss format. Default value is 90 daysincludeTillConceptEventsbooleanPass true to fetch deduction entries that were triggered at the tills mapped to the Concept of the Program ID even if the deductions are from a different program. Default value is false. When true, pass the programId also, else it will be qualified as invalid input combination.ledgerEntryTypestringThe type of ledger entries to fetch. By default, it fetches all the ledger entry types.pointCategoryTypestringThe point category type for which you want to fetch ledger details. By default, it fetches all the points category details.typestringSetting this field returns entries for type of user, whether individual customer or a group. Only two values are allowed here - CUTSOMER, USERGROUP2isPrimaryUserbooleanReturns entry for the primary member of a group, in case of usergroups.excludeEventsstringExclude certain events if you dont want to retrieve entries from that event.eventFilterstringRetrieves the value of that particular event, which is passed in this filed. Eg. TransactionAdd, CustomerRegistration etc.rolesstringThese are the roles defined by the brands for members in a user group. For example, PRIMARY, SECONDARY, and so on.includeLastOneYearDatabooleanIf set to true, the API response will include data from the last year instead of the last 90 days when only startDate or endDate is passed in the API query parameter.orderstringSort the order of entries from date. ASC or DESCisFilterBasedOnDatebooleanIndicates whether the date filter should be applied when fetching data from the database.includeAlternateCurrenciesbooleanPass includeAlternateCurrencies=true to retrieve all alternate currencies available with the customer.alternateCurrencyNamesstringFilter alternate currencies for the customer based on the name. You can also pass a list of comma-separated alternate currency names. Set the parameter includeAlternateCurrencies to false when you use this. If the value is true, includeAlternateCurrencies lists all the available currencies.HeadersDATA-SCOPE-ORGstringList of Organization IDsDATA-SCOPEstringrequiredThe scope to authorize access (SELF, OTHER, ALL)Responses 200200 400400Updated about 1 month ago